package com.tuoheng.admin.enums.code.inspection;

/**
 *  查询巡检任务分页列表返回码
 *      模块代码：23（公路管理）
 *      接口代码：04 （查询巡检任务分页列表）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-24
 */
public enum QueryInspectionPageListCodeEnum {

    QUERY_IS_FAILED(1230400, "获取数据失败"),
    DEPT_ID_IS_NULL(1230401, "部门id为空"),
    DEPT_IS_NOT_EXIST(1230402, "部门不存在"),
    DATA_IS_FAILED(1230403, "获取数据为空");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    QueryInspectionPageListCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
